ASUS ROG GL552 TouchPad not detected

Bug #1520519 reported by sameer on 2015-11-27
86
This bug affects 13 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Low
Unassigned

Bug Description

Laptop Model : ASUS ROG GL552 DH71
First Appearance : Got laptop yesterday. dual booted with ubuntu 14.04. Touchpad never detected.
Manufacturer : ASUS ( as listed under windows 10 )

* xinput list *

⎡ Virtual core pointer id=2 [master pointer (3)]
⎜ ↳ Virtual core XTEST pointer id=4 [slave pointer (2)]
⎜ ↳ Logitech USB Optical Mouse id=10 [slave pointer (2)]
⎣ Virtual core keyboard id=3 [master keyboard (2)]
    ↳ Virtual core XTEST keyboard id=5 [slave keyboard (3)]
    ↳ Power Button id=6 [slave keyboard (3)]
    ↳ Power Button id=7 [slave keyboard (3)]
    ↳ Logitech USB Keyboard id=8 [slave keyboard (3)]
    ↳ Logitech USB Keyboard id=9 [slave keyboard (3)]

* List of devices *
: Bus=0019 Vendor=0000 Product=0005 Version=0000
N: Name="Lid Switch"
P: Phys=PNP0C0D/button/input0
S: Sysfs=/devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0D:00/input/input0
U: Uniq=
H: Handlers=event0
B: PROP=0
B: EV=21
B: SW=1

I: Bus=0019 Vendor=0000 Product=0003 Version=0000
N: Name="Sleep Button"
P: Phys=PNP0C0E/button/input0
S: Sysfs=/devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0E:00/input/input1
U: Uniq=
H: Handlers=kbd event1
B: PROP=0
B: EV=3
B: KEY=4000 0 0

I: Bus=0019 Vendor=0000 Product=0001 Version=0000
N: Name="Power Button"
P: Phys=LNXPWRBN/button/input0
S: Sysfs=/devices/LNXSYSTM:00/LNXPWRBN:00/input/input2
U: Uniq=
H: Handlers=kbd event2
B: PROP=0
B: EV=3
B: KEY=10000000000000 0

I: Bus=0011 Vendor=0001 Product=0001 Version=ab41
N: Name="AT Translated Set 2 keyboard"
P: Phys=isa0060/serio0/input0
S: Sysfs=/devices/platform/i8042/serio0/input/input3
U: Uniq=
H: Handlers=sysrq kbd event3
B: PROP=0
B: EV=120013
B: KEY=402000000 3803078f800d001 feffffdfffefffff fffffffffffffffe
B: MSC=10
B: LED=7

I: Bus=0003 Vendor=046d Product=c05a Version=0111
N: Name="Logitech USB Optical Mouse"
P: Phys=usb-0000:00:14.0-1/input0
S: Sysfs=/devices/pci0000:00/0000:00:14.0/usb1/1-1/1-1:1.0/0003:046D:C05A.0001/input/input4
U: Uniq=
H: Handlers=mouse0 event4
B: PROP=0
B: EV=17
B: KEY=70000 0 0 0 0
B: REL=103
B: MSC=10

I: Bus=0019 Vendor=0000 Product=0000 Version=0000
N: Name="Asus WMI hotkeys"
P: Phys=asus-nb-wmi/input0
S: Sysfs=/devices/platform/asus-nb-wmi/input/input5
U: Uniq=
H: Handlers=rfkill kbd event5
B: PROP=0
B: EV=100013
B: KEY=80000 0 800000000000 0 0 a1606f00900000 8200027800501000 e000000000000 0
B: MSC=10

I: Bus=0019 Vendor=0000 Product=0006 Version=0000
N: Name="Video Bus"
P: Phys=LNXVIDEO/video/input0
S: Sysfs=/devices/LNXSYSTM:00/LNXSYBUS:00/PNP0A08:00/LNXVIDEO:00/input/input6
U: Uniq=
H: Handlers=kbd event6
B: PROP=0
B: EV=3
B: KEY=3e000b00000000 0 0 0

I: Bus=0019 Vendor=0000 Product=0006 Version=0000
N: Name="Video Bus"
P: Phys=LNXVIDEO/video/input0
S: Sysfs=/devices/LNXSYSTM:00/LNXSYBUS:00/PNP0A08:00/device:12/LNXVIDEO:01/input/input7
U: Uniq=
H: Handlers=kbd event7
B: PROP=0
B: EV=3
B: KEY=3e000b00000000 0 0 0

I: Bus=0003 Vendor=04f2 Product=b424 Version=6969
N: Name="USB2.0 HD UVC WebCam"
P: Phys=usb-0000:00:14.0-4/button
S: Sysfs=/devices/pci0000:00/0000:00:14.0/usb1/1-4/1-4:1.0/input/input8
U: Uniq=
H: Handlers=kbd event8
B: PROP=0
B: EV=3
B: KEY=100000 0 0 0

I: Bus=0000 Vendor=0000 Product=0000 Version=0000
N: Name="HDA Intel PCH Mic"
P: Phys=ALSA
S: Sysfs=/devices/pci0000:00/0000:00:1f.3/sound/card0/input9
U: Uniq=
H: Handlers=event9
B: PROP=0
B: EV=21
B: SW=10

I: Bus=0000 Vendor=0000 Product=0000 Version=0000
N: Name="HDA Intel PCH Headphone"
P: Phys=ALSA
S: Sysfs=/devices/pci0000:00/0000:00:1f.3/sound/card0/input10
U: Uniq=
H: Handlers=event10
B: PROP=0
B: EV=21
B: SW=4

I: Bus=0000 Vendor=0000 Product=0000 Version=0000
N: Name="HDA Intel PCH HDMI/DP,pcm=3"
P: Phys=ALSA
S: Sysfs=/devices/pci0000:00/0000:00:1f.3/sound/card0/input11
U: Uniq=
H: Handlers=event11
B: PROP=0
B: EV=21
B: SW=140

please find Xorg.log attached.
---
ApportVersion: 2.14.1-0ubuntu3.19
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: sameer 1813 F.... pulseaudio
DistroRelease: Ubuntu 14.04
HibernationDevice: RESUME=UUID=94ecb362-a267-4f7c-834b-a06feb4f2361
InstallationDate: Installed on 2015-11-29 (13 days ago)
InstallationMedia: Ubuntu 14.04 LTS "Trusty Tahr" - Release amd64+mac (20140417)
Lsusb:
 Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
 Bus 001 Device 005: ID 8087:0a2a Intel Corp.
 Bus 001 Device 012: ID 046d:c05a Logitech, Inc. M90/M100 Optical Mouse
 Bus 001 Device 002: ID 04f2:b424 Chicony Electronics Co., Ltd
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
MachineType: ASUSTeK COMPUTER INC. GL552VW
NonfreeKernelModules: nvidia
Package: linux (not installed)
ProcEnviron:
 LANGUAGE=en_IN:en
 TERM=xterm
 PATH=(custom, no user)
 LANG=en_IN
 SHELL=/bin/bash
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.19.0-33-generic root=UUID=8d33ce3e-b677-4cd9-9e97-8809a7b73fae ro quiet splash
ProcVersionSignature: Ubuntu 3.19.0-33.38~14.04.1-generic 3.19.8-ckt7
PulseList:
 Error: command ['pacmd', 'list'] failed with exit code 1: Home directory not accessible: Permission denied
 No PulseAudio daemon running, or not running as session daemon.
RelatedPackageVersions:
 linux-restricted-modules-3.19.0-33-generic N/A
 linux-backports-modules-3.19.0-33-generic N/A
 linux-firmware 1.127.18
Tags: trusty
Uname: Linux 3.19.0-33-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups:

_MarkForUpload: True
dmi.bios.date: 09/01/2015
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: GL552VW.210
dmi.board.asset.tag: ATN12345678901234567
dmi.board.name: GL552VW
dmi.board.vendor: ASUSTeK COMPUTER INC.
dmi.board.version: 1.0
dmi.chassis.asset.tag: ATN12345678901234567
dmi.chassis.type: 10
dmi.chassis.vendor: ASUSTeK COMPUTER INC.
dmi.chassis.version: 1.0
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrGL552VW.210:bd09/01/2015:svnASUSTeKCOMPUTERINC.:pnGL552VW:pvr1.0:rvnASUSTeKCOMPUTERINC.:rnGL552VW:rvr1.0:cvnASUSTeKCOMPUTERINC.:ct10:cvr1.0:
dmi.product.name: GL552VW
dmi.product.version: 1.0
dmi.sys.vendor: ASUSTeK COMPUTER INC.

sameer (sam-bits) wrote :

This bug is missing log files that will aid in diagnosing the problem. From a terminal window please run:

apport-collect 1520519

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
sameer (sam-bits) wrote :

I have been running the apport-collect command for more than couple of minutes now.
tried to do a strace -p on it to see what it is doing. Its stuck in a loop doing this....

recvmsg(4, 0x7fffd3818740, 0) = -1 EAGAIN (Resource temporarily unavailable)
poll([{fd=5, events=POLLIN}, {fd=4, events=POLLIN}, {fd=9, events=POLLIN}], 3, 0) = 0 (Timeout)
select(0, NULL, NULL, NULL, {0, 1000}) = 0 (Timeout)
select(0, NULL, NULL, NULL, {0, 2000}) = 0 (Timeout)
select(0, NULL, NULL, NULL, {0, 4000}) = 0 (Timeout)
select(0, NULL, NULL, NULL, {0, 8000}) = 0 (Timeout)
select(0, NULL, NULL, NULL, {0, 16000}) = 0 (Timeout)
select(0, NULL, NULL, NULL, {0, 32000}) = 0 (Timeout)
select(0, NULL, NULL, NULL, {0, 36000}) = 0 (Timeout)
recvmsg(4, {msg_name(0)=NULL, msg_iov(1)=[{"A\0003\355\2465\0\4\3\0\202\0\6\0\0\4\0\200\7\0\0\0\0\0\0\0\0\0\0\0\0\0"..., 4096}], msg_controllen=0, msg_flags=0}, 0) = 64
recvmsg(4, 0x7fffd3818740, 0) = -1 EAGAIN (Resource temporarily unavailable)
poll([{fd=5, events=POLLIN}, {fd=4, events=POLLIN}, {fd=9, events=POLLIN}], 3, 0) = 0 (Timeout)
poll([{fd=5, events=POLLIN}, {fd=4, events=POLLIN}, {fd=9, events=POLLIN}], 3, 0) = 0 (Timeout)
recvmsg(4, 0x7fffd3818610, 0) = -1 EAGAIN (Resource temporarily unavailable)
recvmsg(4, 0x7fffd3818740, 0) = -1 EAGAIN (Resource temporarily unavailable)
poll([{fd=5, events=POLLIN}, {fd=4, events=POLLIN}, {fd=9, events=POLLIN}], 3, 0) = 0 (Timeout)
recvmsg(4, 0x7fffd3818740, 0) = -1 EAGAIN (Resource temporarily unavailable)
poll([{fd=5, events=POLLIN}, {fd=4, events=POLLIN}, {fd=9, events=POLLIN}], 3, 0) = 0 (Timeout)
recvmsg(4, 0x7fffd3814ca0, 0) = -1 EAGAIN (Resource temporarily unavailable)
poll([{fd=4, events=POLLIN|POLLOUT}], 1, 4294967295) = 1 ([{fd=4, revents=POLLOUT}])

However, am attaching the dmesg logs as well.

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Joseph Salisbury (jsalisbury) wrote :

Did this issue start happening after an update/upgrade? Was there a prior kernel version where you were not having this particular problem?

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v4.4 kernel[0].

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.4-rc3-wily

Changed in linux (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Incomplete
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in xserver-xorg-input-synaptics (Ubuntu):
status: New → Confirmed
Robin van der Vliet (robinvdv) wrote :

I got a similiar model, the ASUS ROG GL552VW, and I have exactly the same problem. The touchpad does not work when I boot Xubuntu, but my gaming mouse that I got with this laptop does seem to work.

I will gladly help you with giving detailed information about this bug, but I do not know what kind of information is actually needed.

Javier Caballero (turin86) wrote :

The same here. ASUS ROG GL552VW with Ubuntu 14.04 fresh installation (3.19.0-39-generic).

sameer (sam-bits) wrote :

Interestingly the conexant sound driver for this model is also in kernel version 4.3.
was hoping to upgrade the kernel but couldn't do so.
would definitely try out the new kernel and update this bug.

In the meantime, if anyone has already tried updating to kernel 4.4, please update this bug.

cyberdr8gon (samasterhq) wrote :

Indeed I have tried to update the kernel. Unfortunately, the 4.3 kernel does not boot. It hangs on Loading Ramdisk. Also tried nomodeset option to no avail. I have tried this as a Ubuntu 15.10 live USB and also by upgrading the kernel to 4.3 on a running Ubuntu 14.04 installation. Both hang at Loading Ramdisk. I am a total newbie but it seems the newer kernel is not capable of seeing the hard drives?

If you feel there will be a major difference, I am plenty happy to attempt loading the 4.4 kernel to the machine, however, it seems there are more issues at play and I don't know if it will make a large difference.

cyberdr8gon (samasterhq) wrote :

Tested 4.3 kernel, failed to boot in any scenario. Hangs on Loading ramdisk.

Changed in linux (Ubuntu):
status: Incomplete → Confirmed

sameer, could you please boot into a live environment of http://cdimage.ubuntu.com/daily-live/current/ and then execute the following command only once, as it will automatically gather debugging information, in a terminal:
apport-collect 1520519

no longer affects: xserver-xorg-input-synaptics (Ubuntu)
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
tags: added: needs-apport-collect needs-upstream-testing
removed: touchpad

apport information

tags: added: apport-collected trusty
description: updated

apport information

sameer (sam-bits) wrote : CRDA.txt

apport information

apport information

apport information

sameer (sam-bits) wrote : Lspci.txt

apport information

apport information

apport information

apport information

sameer (sam-bits) wrote : RfKill.txt

apport information

sameer (sam-bits) wrote : UdevDb.txt

apport information

apport information

apport information

sameer (sam-bits) wrote :

The apportc-collect command is ran from current setup ( not using live cd ).
Let me know if you want me to boot using live cd to run this command.

sameer, while you don't need to run the apport-collect again, testing the latest live environment provides an additional, and helpful data point.

Despite this, could you please test the latest upstream kernel available from the very top line at the top of the page from http://kernel.ubuntu.com/~kernel-ppa/mainline/?C=N;O=D (the release names are irrelevant for testing, and please do not test the daily folder)? Install instructions are available at https://wiki.ubuntu.com/Kernel/MainlineBuilds . This will allow additional upstream developers to examine the issue.

If the latest kernel did not allow you to test to the issue (ex. you couldn't boot into the OS) please make a comment in your report about this, and continue to test the next most recent kernel version until you can test to the issue. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this issue is fixed in the mainline kernel, please add the following tags by clicking on the yellow circle with a black pencil icon, next to the word Tags, located at the bottom of the report description:
kernel-fixed-upstream
kernel-fixed-upstream-X.Y-rcZ

Where X, and Y are the first two numbers of the kernel version, and Z is the release candidate number if it exists.

If the mainline kernel does not fix the issue, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-X.Y-rcZ

Please note, an error to install the kernel does not fit the criteria of kernel-bug-exists-upstream.

Once testing of the latest upstream kernel is complete, please mark this report's Status as Confirmed. Please let us know your results.

Thank you for your understanding.

tags: removed: needs-apport-collect
tags: added: latest-bios-210
Zhiqiang Sui (szqsui) wrote :

Hi,

I have the exactly same issue with ASUS ROG 752. I just got the laptop this afternoon and freshly installed the Ubuntu 14.04 with the kernel 3.19.0-25. The touchpad is not detected at all.

Zhiqiang Sui, it will help immensely if you filed a new report via a terminal:
ubuntu-bug linux

Please feel free to subscribe me to it.

Zhiqiang Sui (szqsui) wrote :

Hi Christopher,

Thanks for your help. I submitted a new bug report and subscribed you to it.

Thanks again.

Çağrı ÖZSOY (cagriozsoy) wrote :

Dear All,

I'm also affected by this bug with Ubuntu 15.10. As an additional information; touchpad (backlight,keyboard shortcuts) working fine with Linux Mint 17.3. I think, they shared same kernel family.

Best Regards.

Çağrı ÖZSOY (cagriozsoy) wrote :

Dear All,

I made a test with v4.4-rc5-wily kernel with Ubuntu 15.10 on Asus Rog GL552.

After new kernel

 - Mouse pad works fine
 - Keyboard Back light works fine

Although, ubuntu crashes on log-in screen within 3 seconds.

Ps: ACPI OFF removed in grub to test mouse pad

Best Regards.

sameer (sam-bits) wrote :

Interestingly, I also tried to boot using v4.4-rc5-wily kernel with ubuntu 14.04.
The kernel refuses to boot even in recovery mode.

@cagriozsoy, can you tell whether you used cinnamon or mate with Linux Mint 17.3. Because I have already tried installing 17.3 beta cinnamon and it did not boot.
Also, did you change any kernel parameters at boot time ( e.g. nouveau.noaccel=1 etc etc ) ?

Çağrı ÖZSOY (cagriozsoy) wrote :

 It was Linux Mint Cinnamon. I don't remember kernel parameter details for Linux Mint (but maybe nomodeset).

Best Regards.

Tejin Cai (caiz-stargazer) wrote :

I fresh installed Linux Mint 17.3 Mate and yet the touchpad remains unfunctional. When you installed Linux, do you have to change any of the BIOS settings?

Hello Guys,

I also have exactly the same problem. I tryed using different linux distributions
- ubuntu 14.04.3; sound is not working, mousepad neither, mouse crash from time to time, video card is not working propertly, it runs videos too fast and without audio eventhought I instaled -nVIDIA drivers.
- ubuntu-mate.15.10 ; I can't even star ubuntu after installation.
- fedora 23; This is the distributuion that looks working better than the others, the problem here stills the mouse pad detection.

Guido Granda Muñoz, it will help immensely if you filed a new report via a terminal:
ubuntu-bug linux

Please feel free to subscribe me to it.

For more on why this is helpful, please see https://wiki.ubuntu.com/ReportingBugs.

Brent Fallin (brentf777) on 2016-01-22
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Brent Fallin (brentf777) wrote :

I experience this issue as well running Linux Mint 17.3 (based on Ubuntu 14). I updated to the latest BIOS (216) before I ever installed Linux on the machine (as suggested by Christopher) in a newer report of the same bug. It has no effect. The touchpad is not recognized at all. The hardware is just "too new."

Michael Smith (mtsmith-g) wrote :

I am also having this problem. Just did an install of Ubuntu 14.04 on an Asus ROG GL552VW. Any updates on this?

sameer (sam-bits) wrote :

I have tried with latest kernel ( 4.4 ) and it fails to even boot.
I think you should try with ubuntu 16.04 ( haven't tried myself though ).

This is what I have learnt during this period :
 Kernels below 4.3
Add these Kernel parameters :
"nouveau.modeset=0 tpm_tis.interrupts=0 acpi_osi=! acpi_backlight=native i915.preliminary_hw_support=1 idle=nomwait"

For kernel 4.4
nouveau.modeset=0 acpi_osi=! acpi_backlight=native idle=nomwait

Hope it helps.

if it helps, I have also tried "Fedora 23 + dnf update", and the touchpad works perfectly fine with kernel 4.3 along with other things.

sameer, the latest kernel is 4.5-rc1, not 4.4.x. Hence, could you please test the latest mainline kernel and advise to the results?

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Brent Fallin (brentf777) wrote :

Christopher, stop changing the status! It is a confirmed bug (i.e. "Verified by someone other than the reporter" - In this case verified by many people. It is certainly not "Incomplete" (i.e. Cannot be verified). Many people have verified the problem.

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Michael Smith (mtsmith-g) wrote :

I'm still having the problem over here, too. ;)

Any luck on using another kernel?

sameer (sam-bits) wrote :

Yes, the new kernel boots fine with the following kernel parameters
"acpi_osi=! idle=nomwait"

you can simple add these to /etc/default/grub.conf and run "update-grub2"

And yes, the touchpad works great !!

sameer, the next step is to fully reverse commit bisect from kernel 3.19 to 4.5-rc1 in order to identify the last bad commit, followed immediately by the first good one. Once this good commit has been identified, it may be reviewed for backporting. Could you please do this following https://wiki.ubuntu.com/Kernel/KernelBisection#How_do_I_reverse_bisect_the_upstream_kernel.3F ?

Please note, finding adjacent kernel versions is not fully commit bisecting.

After the fix commit (not kernel version) has been identified, then please mark this report Status Confirmed.

Thank you for your understanding.

Helpful bug reporting tips:
https://wiki.ubuntu.com/ReportingBugs

tags: added: kernel-fixed-upstream kernel-fixed-upstream-4.5-rc1 needs-reverse-bisect
removed: needs-upstream-testing
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Michael Smith (mtsmith-g) wrote :

Any chance someone would be able to provide me with a step by step on installing a new kernel? I've never dealt with something like that. Is this going to be the fix I'm looking for? Or am I going to be sacrificing other functionality by doing this?

sameer (sam-bits) wrote :

@penalvch, 4.5 kernel panics. 4.4 works fine. Basically the code to detect "Elan touchpad" is added in kernel version 4.3. The issue was with loading the kernel itself, since the laptop we have has "skylake" pieces , the support for which was mostly experimental in previous versions leading to kernel panic/freeze.

@Michael, if you are looking to install ubuntu
1. install 14.04 version ( wily )
2. download 4.4 kernel from http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.4-rc8-wily. Download these 3 files in a separate folder ( say kernel_44 )
    linux-headers-4.4.0-040400rc8-generic_4.4.0-040400rc8.201601130531_amd64.deb
    linux-headers-4.4.0-040400rc8-generic_4.4.0-040400rc8.201601130531_amd64.deb
    linux-image-4.4.0-040400rc8-generic_4.4.0-040400rc8.201601130531_amd64.deb

3. run the following command to install the kernel
      sudo dpkg -i kernel_44/*.deb

4. add "acpi_osi=! idle=nomwait" in the /etc/default/grub in the kernel line.
      search for splash keyword in that file , and add this next to it, assuming you would find splash only once in the file.

5. run
     update-grub2

6. reboot

thats it ! you would automatically boot into the new kernel, and your touchpad should work fine.

Michael Smith (mtsmith-g) wrote :

@sameer, Thank you a ton. I applied this and it worked. I have touchpad working now.

If you have some time, can you point me to some resources or explain to me what I just did, and why it worked?

Michael Smith (mtsmith-g) wrote :

I'm getting some interesting artifacting in the graphics driver now.

Michael Smith (mtsmith-g) wrote :

It looks like two of the files you pointed me at are the same file.

Michael Smith (mtsmith-g) wrote :

Did some looking, looks like I needed the _all.deb. Giving that a try.

Michael Smith (mtsmith-g) wrote :

Got an error on install of the headers file. Traced it to bbswitch-dkms. Uninstalled this package, re-installed the .debs, restarted. System crashes. Restarting again to see if the grub entry changed. Nothing changed in the grub entry. Adding nomodeset, as I remember I needed this when I originally installed. Nomodeset worked, booted into ubuntu. Still getting "System program problem detected" popup. Re-installing nvidia driver. Restarting. Hangs on boot (ubuntu ..... screen) hit escape.

"Skipping profile in /etc.....
Starting AppArmor profiles
Setting up X socket directories...
speech-dispatcher disabled
saned disabled; edit /etc/default/saned
* Restoring resolver state...
"

Michael Smith (mtsmith-g) wrote :

Nomodeset worked again, removing 4.4.0 packages by following instructions here: https://wiki.ubuntu.com/Kernel/MainlineBuilds
restarting and crossing my fingers that stuff will still work after this... hangs on boot. Adding nomodeset again. Works.
apt-get update, apt-get upgrade, removed extra entries to grub file. Works.

Alright, so I'm back to where I started, but it's not broken anymore. Thoughts?

Michael Smith (mtsmith-g) wrote :

Though, my fan now spins at maximum speed all of the time, and my battery drains super quick.

Download full text (7.6 KiB)

Hello,
Could check if the funtianal keys are working, I^n my laptop just some of
them are working with the old kernel.

Thanks,

2016-01-27 10:19 GMT-05:00 Michael Smith <email address hidden>:

> Though, my fan now spins at maximum speed all of the time, and my
> battery drains super quick.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1520519
>
> Title:
> ASUS ROG GL552 TouchPad not detected
>
> Status in linux package in Ubuntu:
> Incomplete
>
> Bug description:
> Laptop Model : ASUS ROG GL552 DH71
> First Appearance : Got laptop yesterday. dual booted with ubuntu 14.04.
> Touchpad never detected.
> Manufacturer : ASUS ( as listed under windows 10 )
>
> * xinput list *
>
> ⎡ Virtual core pointer id=2 [master pointer
> (3)]
> ⎜ ↳ Virtual core XTEST pointer id=4 [slave
> pointer (2)]
> ⎜ ↳ Logitech USB Optical Mouse id=10 [slave
> pointer (2)]
> ⎣ Virtual core keyboard id=3 [master keyboard
> (2)]
> ↳ Virtual core XTEST keyboard id=5 [slave
> keyboard (3)]
> ↳ Power Button id=6 [slave
> keyboard (3)]
> ↳ Power Button id=7 [slave
> keyboard (3)]
> ↳ Logitech USB Keyboard id=8 [slave
> keyboard (3)]
> ↳ Logitech USB Keyboard id=9 [slave
> keyboard (3)]
>
> * List of devices *
> : Bus=0019 Vendor=0000 Product=0005 Version=0000
> N: Name="Lid Switch"
> P: Phys=PNP0C0D/button/input0
> S: Sysfs=/devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0D:00/input/input0
> U: Uniq=
> H: Handlers=event0
> B: PROP=0
> B: EV=21
> B: SW=1
>
> I: Bus=0019 Vendor=0000 Product=0003 Version=0000
> N: Name="Sleep Button"
> P: Phys=PNP0C0E/button/input0
> S: Sysfs=/devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0E:00/input/input1
> U: Uniq=
> H: Handlers=kbd event1
> B: PROP=0
> B: EV=3
> B: KEY=4000 0 0
>
> I: Bus=0019 Vendor=0000 Product=0001 Version=0000
> N: Name="Power Button"
> P: Phys=LNXPWRBN/button/input0
> S: Sysfs=/devices/LNXSYSTM:00/LNXPWRBN:00/input/input2
> U: Uniq=
> H: Handlers=kbd event2
> B: PROP=0
> B: EV=3
> B: KEY=10000000000000 0
>
> I: Bus=0011 Vendor=0001 Product=0001 Version=ab41
> N: Name="AT Translated Set 2 keyboard"
> P: Phys=isa0060/serio0/input0
> S: Sysfs=/devices/platform/i8042/serio0/input/input3
> U: Uniq=
> H: Handlers=sysrq kbd event3
> B: PROP=0
> B: EV=120013
> B: KEY=402000000 3803078f800d001 feffffdfffefffff fffffffffffffffe
> B: MSC=10
> B: LED=7
>
> I: Bus=0003 Vendor=046d Product=c05a Version=0111
> N: Name="Logitech USB Optical Mouse"
> P: Phys=usb-0000:00:14.0-1/input0
> S:
> Sysfs=/devices/pci0000:00/0000:00:14.0/usb1/1-1/1-1:1.0/0003:046D:C05A.0001/input/input4
> U: Uniq=
> H: Handlers=mouse0 event4
> B: PROP=0
> B: EV=17
> B: KEY=70000 0 0 0 0
> B: REL=103
> B: MSC=10
>
> I: Bus=0019 Vendor=0000 Product=0000 Version=0000
> N: Name="Asus WMI hotkeys"
> P:...

Read more...

Michael Smith (mtsmith-g) wrote :

Re-installed Ubuntu 14.04, did no updates, installed kernel 4.4, booted in with nomodeset, wireless and wired network drivers don't work.

Alright. So I'm going to assume that this is just broken at this point, I think.

sameer (sam-bits) wrote :
Download full text (7.8 KiB)

Hmm.... I have the same setup and it works fine.
I remember copying the wlan file like the following
   cp iwlwifi-7265-8.ucode /lib/firmware

but nothing for the wired network.

On 28 January 2016 at 04:07, Michael Smith <email address hidden> wrote:

> Re-installed Ubuntu 14.04, did no updates, installed kernel 4.4, booted
> in with nomodeset, wireless and wired network drivers don't work.
>
> Alright. So I'm going to assume that this is just broken at this point,
> I think.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1520519
>
> Title:
> ASUS ROG GL552 TouchPad not detected
>
> Status in linux package in Ubuntu:
> Incomplete
>
> Bug description:
> Laptop Model : ASUS ROG GL552 DH71
> First Appearance : Got laptop yesterday. dual booted with ubuntu 14.04.
> Touchpad never detected.
> Manufacturer : ASUS ( as listed under windows 10 )
>
> * xinput list *
>
> ⎡ Virtual core pointer id=2 [master pointer
> (3)]
> ⎜ ↳ Virtual core XTEST pointer id=4 [slave
> pointer (2)]
> ⎜ ↳ Logitech USB Optical Mouse id=10 [slave
> pointer (2)]
> ⎣ Virtual core keyboard id=3 [master keyboard
> (2)]
> ↳ Virtual core XTEST keyboard id=5 [slave
> keyboard (3)]
> ↳ Power Button id=6 [slave
> keyboard (3)]
> ↳ Power Button id=7 [slave
> keyboard (3)]
> ↳ Logitech USB Keyboard id=8 [slave
> keyboard (3)]
> ↳ Logitech USB Keyboard id=9 [slave
> keyboard (3)]
>
> * List of devices *
> : Bus=0019 Vendor=0000 Product=0005 Version=0000
> N: Name="Lid Switch"
> P: Phys=PNP0C0D/button/input0
> S: Sysfs=/devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0D:00/input/input0
> U: Uniq=
> H: Handlers=event0
> B: PROP=0
> B: EV=21
> B: SW=1
>
> I: Bus=0019 Vendor=0000 Product=0003 Version=0000
> N: Name="Sleep Button"
> P: Phys=PNP0C0E/button/input0
> S: Sysfs=/devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0E:00/input/input1
> U: Uniq=
> H: Handlers=kbd event1
> B: PROP=0
> B: EV=3
> B: KEY=4000 0 0
>
> I: Bus=0019 Vendor=0000 Product=0001 Version=0000
> N: Name="Power Button"
> P: Phys=LNXPWRBN/button/input0
> S: Sysfs=/devices/LNXSYSTM:00/LNXPWRBN:00/input/input2
> U: Uniq=
> H: Handlers=kbd event2
> B: PROP=0
> B: EV=3
> B: KEY=10000000000000 0
>
> I: Bus=0011 Vendor=0001 Product=0001 Version=ab41
> N: Name="AT Translated Set 2 keyboard"
> P: Phys=isa0060/serio0/input0
> S: Sysfs=/devices/platform/i8042/serio0/input/input3
> U: Uniq=
> H: Handlers=sysrq kbd event3
> B: PROP=0
> B: EV=120013
> B: KEY=402000000 3803078f800d001 feffffdfffefffff fffffffffffffffe
> B: MSC=10
> B: LED=7
>
> I: Bus=0003 Vendor=046d Product=c05a Version=0111
> N: Name="Logitech USB Optical Mouse"
> P: Phys=usb-0000:00:14.0-1/input0
> S:
> Sysfs=/devices/pci0000:00/0000:00:14.0/usb1/1-1/1-1:1.0/0003:046D:C05A.0001/input/input4
> U: Uniq=
> H: Handlers...

Read more...

Kirill (fekirill) wrote :

Morning all,

I just want to share my experience.

I had the same issue with touchpad on the laptop. After upgrading the kernel to 4.3.3 or 4.4 touchpad started working but I met the problem with video artifacts.

Here absolutely the same issue described for another laptop with screenshots (sorry for small off-topic).
http://forums.linuxmint.com/viewtopic.php?f=90&t=213443

The bug appears on open-source and proprietary drivers.

Currently I'm researching the solution how to fix the graphic issue on 4.3+ kernel or how to make touchpad working on 3.19.

sameer (sam-bits) wrote :

Have already tried the 4.4 version of ubuntu, and while it works for sometimes it did develop freezing issues for few system commands . No issues with graphics though.

For what its worth, I have been using my laptop on "fedora23 + dnf update to update the kernel to 4.3 " for more than a week now without any issues whatsoever.
Touchpad and hotkeys are all working fine, along with nvidia cuda ( removed nouveau )

Kirill (fekirill) wrote :

Evening sameer,

I've done dnf update, removed nouveau driver and installed proprietary driver from nvidia site. After reboot I'm meeting black screen. Can you please describe step by step what did you do?

Hendy Irawan (ceefour) wrote :

Vishneda on rog.asus.com forum reported touchpad working with kernel 4.3.3 but i2c_designware bus support must be compiled as kernel module:

> I am able to boot with 4.2.x and 4.3.x. However, I am using 4.3.3 and have been since mid December when it came out.

> If you boot with nolapic, you won't have full use of the hardware and cpu threading will be disabled. I had no issues using the machine this way, but it was only supporting one thread of cpu activity instead of 8 as it should be. Using the kernel parameters I provided, I am booting various distributions (CentOS, Fedora, Arch, Elementary as examples) with no issues.

> I do have new information to share. Fedora recently rolled out 4.3.3 as a kernel support and I upgraded to this today. With the new Fedora 4.3.3 kernel, I have full use of the touchpad . The reason is actually something I missed/didn't know about the hardware under the hood. In order to get the touchpad working, the i2c_designware bus support must be compiled as a kernel module. I didn't have that in previous builds and thus, I was unable to use the touchpad. As of tonight, I am using the touchpad, all function keys, and full hardware support on this machine running on Linux!

> If you can tolerate (or like) Fedora, I would recommned getting the Fedora 23 distribution and installing this on your machine. In order to install, you may need to use the "4.2.x" kernel parameters I provided above. Once you get it booted, you can run "dnf update" and upgrade to the latest kernel, which will be 4.3.3. From there, you will need to use the "4.3.x" kernel parameters I provided above. Using this distro and the parameters I listed, this machine is functioning quite well on Linux.

> I hope this helps. I will check back in a couple of days to see if it worked for you.

Source: https://rog.asus.com/forum/showthread.php?81702-Linux-installation-in-ASUS-ROG-GL552VW-DH71&s=9a1f5e08f14c5aac704a3999cffa88de&p=565823&viewfull=1#post565823

Download full text (7.9 KiB)

Hello Sammer,

Can you please tell me what parameters you used to install fedora23 ?

Cheers,

2016-02-02 3:29 GMT-05:00 sameer <email address hidden>:

> Have already tried the 4.4 version of ubuntu, and while it works for
> sometimes it did develop freezing issues for few system commands . No
> issues with graphics though.
>
> For what its worth, I have been using my laptop on "fedora23 + dnf update
> to update the kernel to 4.3 " for more than a week now without any issues
> whatsoever.
> Touchpad and hotkeys are all working fine, along with nvidia cuda (
> removed nouveau )
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1520519
>
> Title:
> ASUS ROG GL552 TouchPad not detected
>
> Status in linux package in Ubuntu:
> Incomplete
>
> Bug description:
> Laptop Model : ASUS ROG GL552 DH71
> First Appearance : Got laptop yesterday. dual booted with ubuntu 14.04.
> Touchpad never detected.
> Manufacturer : ASUS ( as listed under windows 10 )
>
> * xinput list *
>
> ⎡ Virtual core pointer id=2 [master pointer
> (3)]
> ⎜ ↳ Virtual core XTEST pointer id=4 [slave
> pointer (2)]
> ⎜ ↳ Logitech USB Optical Mouse id=10 [slave
> pointer (2)]
> ⎣ Virtual core keyboard id=3 [master keyboard
> (2)]
> ↳ Virtual core XTEST keyboard id=5 [slave
> keyboard (3)]
> ↳ Power Button id=6 [slave
> keyboard (3)]
> ↳ Power Button id=7 [slave
> keyboard (3)]
> ↳ Logitech USB Keyboard id=8 [slave
> keyboard (3)]
> ↳ Logitech USB Keyboard id=9 [slave
> keyboard (3)]
>
> * List of devices *
> : Bus=0019 Vendor=0000 Product=0005 Version=0000
> N: Name="Lid Switch"
> P: Phys=PNP0C0D/button/input0
> S: Sysfs=/devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0D:00/input/input0
> U: Uniq=
> H: Handlers=event0
> B: PROP=0
> B: EV=21
> B: SW=1
>
> I: Bus=0019 Vendor=0000 Product=0003 Version=0000
> N: Name="Sleep Button"
> P: Phys=PNP0C0E/button/input0
> S: Sysfs=/devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0E:00/input/input1
> U: Uniq=
> H: Handlers=kbd event1
> B: PROP=0
> B: EV=3
> B: KEY=4000 0 0
>
> I: Bus=0019 Vendor=0000 Product=0001 Version=0000
> N: Name="Power Button"
> P: Phys=LNXPWRBN/button/input0
> S: Sysfs=/devices/LNXSYSTM:00/LNXPWRBN:00/input/input2
> U: Uniq=
> H: Handlers=kbd event2
> B: PROP=0
> B: EV=3
> B: KEY=10000000000000 0
>
> I: Bus=0011 Vendor=0001 Product=0001 Version=ab41
> N: Name="AT Translated Set 2 keyboard"
> P: Phys=isa0060/serio0/input0
> S: Sysfs=/devices/platform/i8042/serio0/input/input3
> U: Uniq=
> H: Handlers=sysrq kbd event3
> B: PROP=0
> B: EV=120013
> B: KEY=402000000 3803078f800d001 feffffdfffefffff fffffffffffffffe
> B: MSC=10
> B: LED=7
>
> I: Bus=0003 Vendor=046d Product=c05a Version=0111
> N: Name="Logitech USB Optical Mouse"
> P: Phys=usb-0000:00:14.0-1/input0
> S:
> Sysfs=/devic...

Read more...

sameer (sam-bits) wrote :

As I mentioned earlier ( comment #29 )
you can use the following kernel parameters to install fedora23

"nouveau.modeset=0 tpm_tis.interrupts=0 acpi_osi=! acpi_backlight=native i915.preliminary_hw_support=1 idle=nomwait"

After doing dnf update, you can remove few parameters to get

"nouveau.modeset=0 acpi_osi=! acpi_backlight=native idle=nomwait "

Download full text (8.0 KiB)

Hello again,

Thanks for your response, can you please tell me what you mean with:

""After doing dnf update, you can remove few parameters to get

"nouveau.modeset=0 acpi_osi=! acpi_backlight=native idle=nomwait " ""

Were should put these parameters ? Do you mean modify a file or sth similar
?
On Feb 13, 2016 8:20 PM, "sameer" <email address hidden> wrote:

> As I mentioned earlier ( comment #29 )
> you can use the following kernel parameters to install fedora23
>
> "nouveau.modeset=0 tpm_tis.interrupts=0 acpi_osi=! acpi_backlight=native
> i915.preliminary_hw_support=1 idle=nomwait"
>
>
> After doing dnf update, you can remove few parameters to get
>
> "nouveau.modeset=0 acpi_osi=! acpi_backlight=native idle=nomwait "
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1520519
>
> Title:
> ASUS ROG GL552 TouchPad not detected
>
> Status in linux package in Ubuntu:
> Incomplete
>
> Bug description:
> Laptop Model : ASUS ROG GL552 DH71
> First Appearance : Got laptop yesterday. dual booted with ubuntu 14.04.
> Touchpad never detected.
> Manufacturer : ASUS ( as listed under windows 10 )
>
> * xinput list *
>
> ⎡ Virtual core pointer id=2 [master pointer
> (3)]
> ⎜ ↳ Virtual core XTEST pointer id=4 [slave
> pointer (2)]
> ⎜ ↳ Logitech USB Optical Mouse id=10 [slave
> pointer (2)]
> ⎣ Virtual core keyboard id=3 [master keyboard
> (2)]
> ↳ Virtual core XTEST keyboard id=5 [slave
> keyboard (3)]
> ↳ Power Button id=6 [slave
> keyboard (3)]
> ↳ Power Button id=7 [slave
> keyboard (3)]
> ↳ Logitech USB Keyboard id=8 [slave
> keyboard (3)]
> ↳ Logitech USB Keyboard id=9 [slave
> keyboard (3)]
>
> * List of devices *
> : Bus=0019 Vendor=0000 Product=0005 Version=0000
> N: Name="Lid Switch"
> P: Phys=PNP0C0D/button/input0
> S: Sysfs=/devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0D:00/input/input0
> U: Uniq=
> H: Handlers=event0
> B: PROP=0
> B: EV=21
> B: SW=1
>
> I: Bus=0019 Vendor=0000 Product=0003 Version=0000
> N: Name="Sleep Button"
> P: Phys=PNP0C0E/button/input0
> S: Sysfs=/devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0E:00/input/input1
> U: Uniq=
> H: Handlers=kbd event1
> B: PROP=0
> B: EV=3
> B: KEY=4000 0 0
>
> I: Bus=0019 Vendor=0000 Product=0001 Version=0000
> N: Name="Power Button"
> P: Phys=LNXPWRBN/button/input0
> S: Sysfs=/devices/LNXSYSTM:00/LNXPWRBN:00/input/input2
> U: Uniq=
> H: Handlers=kbd event2
> B: PROP=0
> B: EV=3
> B: KEY=10000000000000 0
>
> I: Bus=0011 Vendor=0001 Product=0001 Version=ab41
> N: Name="AT Translated Set 2 keyboard"
> P: Phys=isa0060/serio0/input0
> S: Sysfs=/devices/platform/i8042/serio0/input/input3
> U: Uniq=
> H: Handlers=sysrq kbd event3
> B: PROP=0
> B: EV=120013
> B: KEY=402000000 3803078f800d001 feffffdfffefffff fffffffffffffffe
> B: MSC=10
> B: LED=7
>
> I: B...

Read more...

sameer (sam-bits) wrote :
Download full text (16.0 KiB)

If you notice, the kernel parameters are reduced from the original one we
are using to install fedora.
On Feb 14, 2016 7:15 AM, "Guido Granda Muñoz" <email address hidden> wrote:

> Hello again,
>
> Thanks for your response, can you please tell me what you mean with:
>
> ""After doing dnf update, you can remove few parameters to get
>
> "nouveau.modeset=0 acpi_osi=! acpi_backlight=native idle=nomwait " ""
>
> Were should put these parameters ? Do you mean modify a file or sth similar
> ?
> On Feb 13, 2016 8:20 PM, "sameer" <email address hidden> wrote:
>
> > As I mentioned earlier ( comment #29 )
> > you can use the following kernel parameters to install fedora23
> >
> > "nouveau.modeset=0 tpm_tis.interrupts=0 acpi_osi=! acpi_backlight=native
> > i915.preliminary_hw_support=1 idle=nomwait"
> >
> >
> > After doing dnf update, you can remove few parameters to get
> >
> > "nouveau.modeset=0 acpi_osi=! acpi_backlight=native idle=nomwait "
> >
> > --
> > You received this bug notification because you are subscribed to the bug
> > report.
> > https://bugs.launchpad.net/bugs/1520519
> >
> > Title:
> > ASUS ROG GL552 TouchPad not detected
> >
> > Status in linux package in Ubuntu:
> > Incomplete
> >
> > Bug description:
> > Laptop Model : ASUS ROG GL552 DH71
> > First Appearance : Got laptop yesterday. dual booted with ubuntu 14.04.
> > Touchpad never detected.
> > Manufacturer : ASUS ( as listed under windows 10 )
> >
> > * xinput list *
> >
> > ⎡ Virtual core pointer id=2 [master pointer
> > (3)]
> > ⎜ ↳ Virtual core XTEST pointer id=4 [slave
> > pointer (2)]
> > ⎜ ↳ Logitech USB Optical Mouse id=10 [slave
> > pointer (2)]
> > ⎣ Virtual core keyboard id=3 [master keyboard
> > (2)]
> > ↳ Virtual core XTEST keyboard id=5 [slave
> > keyboard (3)]
> > ↳ Power Button id=6 [slave
> > keyboard (3)]
> > ↳ Power Button id=7 [slave
> > keyboard (3)]
> > ↳ Logitech USB Keyboard id=8 [slave
> > keyboard (3)]
> > ↳ Logitech USB Keyboard id=9 [slave
> > keyboard (3)]
> >
> > * List of devices *
> > : Bus=0019 Vendor=0000 Product=0005 Version=0000
> > N: Name="Lid Switch"
> > P: Phys=PNP0C0D/button/input0
> > S: Sysfs=/devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0D:00/input/input0
> > U: Uniq=
> > H: Handlers=event0
> > B: PROP=0
> > B: EV=21
> > B: SW=1
> >
> > I: Bus=0019 Vendor=0000 Product=0003 Version=0000
> > N: Name="Sleep Button"
> > P: Phys=PNP0C0E/button/input0
> > S: Sysfs=/devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0E:00/input/input1
> > U: Uniq=
> > H: Handlers=kbd event1
> > B: PROP=0
> > B: EV=3
> > B: KEY=4000 0 0
> >
> > I: Bus=0019 Vendor=0000 Product=0001 Version=0000
> > N: Name="Power Button"
> > P: Phys=LNXPWRBN/button/input0
> > S: Sysfs=/devices/LNXSYSTM:00/LNXPWRBN:00/input/input2
> > U: Uniq=
> > H: Handlers=kbd event2
> > B: PROP=0
> > B: EV=3
> > B: KEY=10000000000000 0
> >
> > I: Bus=...

tags: added: bios-outdated-216
removed: latest-bios-210

I installed the latest kernel wily 4.5rc4 and the computer didn't boot. I also tried with the kernel 4.4 nothing changed.

Hello ,
Sorry on my latest message I said that the kernel 4.5rc4 didn't work, but it is working, I just forgot to change the grub and updated as indicated above:
nouveau.modeset=0 acpi_osi=! acpi_backlight=native idle=nomwait

Now the mouse pad is working, also the sound, and the wifi card can be fixed. I hope everything stay this way.

Cheers,

Download full text (9.0 KiB)

Hello,

As I mentioned before, the kernel 4.5.0-040500rc4 works well, the touch pad
and the superkeys work. However the fan is not detected, the laptop doesn't
cool down.

When I ran : sudo pwmconfig
# pwmconfig revision 6166 (2013-05-01)
This program will search your sensors for pulse width modulation (pwm)
controls, and test each one to see if it controls a fan on
your motherboard. Note that many motherboards do not have pwm
circuitry installed, even if your sensor chip supports pwm.

We will attempt to briefly stop each fan using the pwm controls.
The program will attempt to restore each fan to full speed
after testing. However, it is ** very important ** that you
physically verify that the fans have been to full speed
after the program has completed.

Found the following devices:
   hwmon0 is acpitz
   hwmon1 is asus
   hwmon2 is coretemp

Found the following PWM controls:
   hwmon1/pwm1 current value: 255

Giving the fans some time to reach full speed...
Found the following fan sensors:
   hwmon1/fan1_input current speed: 0 ... skipping!

There are no working fan sensors, all readings are 0.
Make sure you have a 3-wire fan connected.
You may also need to increase the fan divisors.
See doc/fan-divisors for more information.

I also tried to fix this issue with the following link
http://iandw.net/2014/10/12/fancontrol-under-ubuntu-14-04-resolving-usrsbinpwmconfig-there-are-no-pwm-capable-sensor-modules-installed/
and it didn't work. Any suggestions?
Cheers,

2016-02-16 0:52 GMT-05:00 Christopher M. Penalver <
<email address hidden>>:

> ** Tags removed: latest-bios-210
> ** Tags added: bios-outdated-216
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1520519
>
> Title:
> ASUS ROG GL552 TouchPad not detected
>
> Status in linux package in Ubuntu:
> Incomplete
>
> Bug description:
> Laptop Model : ASUS ROG GL552 DH71
> First Appearance : Got laptop yesterday. dual booted with ubuntu 14.04.
> Touchpad never detected.
> Manufacturer : ASUS ( as listed under windows 10 )
>
> * xinput list *
>
> ⎡ Virtual core pointer id=2 [master pointer
> (3)]
> ⎜ ↳ Virtual core XTEST pointer id=4 [slave
> pointer (2)]
> ⎜ ↳ Logitech USB Optical Mouse id=10 [slave
> pointer (2)]
> ⎣ Virtual core keyboard id=3 [master keyboard
> (2)]
> ↳ Virtual core XTEST keyboard id=5 [slave
> keyboard (3)]
> ↳ Power Button id=6 [slave
> keyboard (3)]
> ↳ Power Button id=7 [slave
> keyboard (3)]
> ↳ Logitech USB Keyboard id=8 [slave
> keyboard (3)]
> ↳ Logitech USB Keyboard id=9 [slave
> keyboard (3)]
>
> * List of devices *
> : Bus=0019 Vendor=0000 Product=0005 Version=0000
> N: Name="Lid Switch"
> P: Phys=PNP0C0D/button/input0
> S: Sysfs=/devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0D:00/input/input0
> U: Uniq=
> H: Handlers=event0
> B: PROP=0
> B: EV=21
...

Read more...

Joe Shuma (joeshuma) wrote :

I have a ASUS ROG G552 and I added to following to my grub:

etc/default/grub

GRUB_CMDLINE_LINUX="acpi_osi=! acpi_backlight=native idle=nomwait"

I am running Ubuntu Mate 16.04

Kernel 4.4.0-7-generic

The above command restored my touchpad and detected it with full hw support.

James Langan (amesbit) wrote :

I also have an ASUS ROG GL552 and am using "acpi_osi=Linux acpi_backlight=native idle=nomwait"
I'm running 15.10 and a 4.3.5 kernel.

Does anyone know the status of getting the mwait states working for skylake?

Brent Fallin (brentf777) on 2016-03-05
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Maurizio M. (manmau) wrote :

Hi,
I'm experiencing almost all the above bugs by trying to install Linux on an Asus ROG GL552VW.
I tested Ubuntu 16.04, Debian 8 and Mint 17.3.

The main issues are:

- Ubuntu 16.04: no backlight keys, cpu fan always at maximum speed
- Debian 8: no special keys at all, cpu fan always at maximum speed, touchpad not detected
- Mint 17.3: no backlight keys, cpu fan always at maximum speed, touchpad not detected

By searching around for a few days I found out that the best configuration, at least for my laptop, is the following:

- Linux Mint 17.3

- grub optins: acpi_osi=! acpi_backlight=native

- create a file /usr/share/X11/xorg.conf.d/80-backlight.conf
and copy the following code inside:
Section "Device"
    Identifier "Intel Graphics"
    Driver "intel"
    Option "AccelMethod" "sna"
    Option "Backlight" "intel_backlight" # use your backlight that works here
    BusID "PCI:0:2:0"
EndSection

in this way the backlight keys and cpu fan work but I still have no touchpad.

I tried several kernels, starting from version 4.3 trackpad works but I get video artifacts with both the open source and the proprietary nvidia driver.

I can provide further details and logs if needed, just tell me which ones you need.

Maurizio

Maurizio M. (manmau) wrote :

A quick update. By switching to kernel 4.5rc4 I get the touchpad recognized as:

I: Bus=0018 Vendor=04f3 Product=0005 Version=0000
N: Name="Elan Touchpad"
P: Phys=
S: Sysfs=/devices/pci0000:00/0000:00:15.1/i2c_designware.1/i2c-7/i2c-ELAN1000:00/input/input12
U: Uniq=
H: Handlers=mouse1 event12
B: PROP=5
B: EV=b
B: KEY=e520 10000 0 0 0 0
B: ABS=663800013000003

But with such a kernel there are video artifacts (with both native and proprietary drivers.
I have no idea about how adding the above driver to an old kernel that does not exhibit the artifacts bug.

Maurizio

Hello everyone,

I have had the same touchpad problem with my Asus GL552VW running on Linux Mint 17.3 KDE. After updating my kernel to 4.5.3 I managed to get the touchpad working. I got the information how to do this from: https://www.pcsteps.com/858-kernel-upgrade-linux-mint-ubuntu/

But at this moment the fan was going crazy. After changing my GPU driver from nouveau to nvidia the fan worked fine. But changing the driver gave some errors (nvidia error log included). The GPU driver is currently the only driver not working properly (under the previous kernel 3.19, standard mint 17.3 kernel, it worked nice though).

When starting up I also see the image of Linux mint slowly growing but only at the y axis, not the x axis. After this it's sometimes slow while rendering or showing black "sweeps". Also the buttons on f5 (less brightness), f6 (more brightness) and f7 (screen off) are not working at all.

Greetings,
Elrick

Maurizio M. (manmau) wrote :

Hi, did you try the grub options: acpi_osi=! acpi_backlight=native
Does it solve the fan issue?

kikislater (kikiesttoujoursla) wrote :

Does the fan issue is really due to backlight=native ?
It should be better with
Option "DRI" "false"
No ?

no longer affects: linux (Ubuntu)
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

sameer, to see if this is already resolved in Ubuntu, could you please test http://cdimage.ubuntu.com/daily-live/current/ and advise to the results?

affects: linux (Debian) → linux (Ubuntu)
Changed in linux (Ubuntu):
status: New → Incomplete
Changed in linux (Ubuntu):
status: New → Confirmed
tags: added: bios-outdated-300
removed: bios-outdated-216
Changed in linux (Ubuntu):
importance: Undecided → Low
Launchpad Janitor (janitor) wrote :

[Expired for linux (Ubuntu) because there has been no activity for 60 days.]

Changed in linux (Ubuntu):
status: Incomplete → Expired
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers